wildfly does not run on Power8 hardware

Bug #1353651 reported by Matt Bruzek on 2014-08-06
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
wildfly (Juju Charms Collection)
Low
Unassigned

Bug Description

I am doing testing on power pc architecture and I noticed that the wildfly charm does not run on that platform.

Here is the error message from the charm unit logs:
2014-08-06 17:56:32 INFO juju-log Starting wildfly apllication server
2014-08-06 17:56:32 INFO config-changed * Starting WildFly Application Server wildfly
2014-08-06 17:57:03 INFO config-changed ...fail!
2014-08-06 17:57:03 INFO config-changed * WildFly Application Server hasn't started within the timeout allowed
2014-08-06 17:57:03 INFO config-changed * please review file /var/log/wildfly/console.log to see the status of the service

/var/log/wildfly/console.log:

=========================================================================

  JBoss Bootstrap Environment

  JBOSS_HOME: /opt/wildfly

  JAVA: /usr/lib/jvm/java-7-openjdk-amd64/bin/java

  JAVA_OPTS: -server -Xms64m -Xmx512m -XX:MaxPermSize=256m -Djava.net.preferIPv4Stack=true -Djboss.modules.system.pkgs=org.jboss.byteman -Djava.awt.headless=true

=========================================================================

/opt/wildfly/bin/standalone.sh: 1: eval: /usr/lib/jvm/java-7-openjdk-amd64/bin/java: not found
7191

I did some digging and I see that the /etc/init.d/wildfly file hardcodes "amd64" for JAVA_HOME. This is the reason that wildfly does not work on ppc64el architecture. When I chagned amd64 to ppc64el I got wildfly to come up. This file is based on the templates/wildfly-init-debian.sh file in the charm.

We need to set the JAVA_HOME in a more architecture independent way. The way I came up with is using the readlink command on the /etc/alteratives/java symbolic link.

 JAVA_HOME=`readlink -f /etc/alternatives/java | sed -e 's/\/jre\/bin\/java//'`

Matt Bruzek (mbruzek) on 2014-08-06
tags: added: ppc64le
Matt Bruzek (mbruzek) on 2014-10-30
tags: added: ppc64el
tags: removed: ppc64le
saurabh (jhasaurabh) on 2014-11-17
Changed in wildfly (Juju Charms Collection):
status: New → Fix Committed
saurabh (jhasaurabh) wrote :

Hi Matt,

I have done the code change to fix this bug and have raised a merge proposal of the recent code to the upstream charm.

Thanks,
Saurabh

Matt Bruzek (mbruzek) wrote :

Saurabh,

Thanks for the fix. It has worked and I was able to get the wildfly charm running on Power 8 hardware! This fix has been merged with the precise version of this charm. Please consider adding this branch to trusty, we do require tests for trusty you can read more about them here: https://juju.ubuntu.com/docs/tools-amulet.html

Thank you!
  Matt

Johnny Shieh (jshieh) wrote :

Hi Saurabh,

Looks like the Fix was committed and released, should this be moved to closed state?

Changed in wildfly (Juju Charms Collection):
status: Fix Committed → New
Johnny Shieh (jshieh) on 2015-03-25
Changed in wildfly (Juju Charms Collection):
status: New → Fix Committed
Breno Leitão (breno-leitao) wrote :

Is it fix commited in trusty branch? What is the expected date for fix release?

Antonio Rosales (arosales) wrote :

Collaborating with IBM this is an interesting workload, but not a high priority atm.

If there are any folks interested in proposing this charm for Trusty please comment here.

-thanks,
Antonio

Changed in wildfly (Juju Charms Collection):
importance: Undecided → Low
Antonio Rosales (arosales) wrote :

Note, the fix committed is against the Precise charm. In order for this to be applicable against the Power8LE platform a Trusty charm would need to be made (based off Precise) and proposed for recommended status.

-thanks,
Antonio

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers